Start Voice Campaign API
Use this API to start an active Voice campaign for a given stream ID and campaign ID.| Method | POST |
|---|---|
| Endpoint | https://{{host}}/campaign/api/v1/public/{{IId}}/campaign/{{campaignId}}?campaignType={{campaignType}}&trigger={{trigger}} |
| Content-Type | application/json |
| Authorization | auth: {{JWT}} See How to generate the JWT Token |
| API Scope | Campaign Management |
Path Parameters
| Parameter | Description | Type |
|---|---|---|
host | Environment URL, for example, https://platform.kore.ai | string, required |
IId | The Application ID. | string, required |
campaignId | Unique identifier of the campaign to trigger. | string, required |
Query Parameters
| Parameter | Description | Type |
|---|---|---|
campaignType | Type of campaign. Use "voice" for voice campaign. | string, required |
trigger | Action to perform. Use "play" to start. | string, required |
Sample Request
Headers
| Header | Description | Required/Optional |
|---|---|---|
auth | JWT token for authentication. | required |
iid | The Application Id. | required |
accountId | The Account Id. | required |
Sample Response
Response Body Parameters
| Parameter | Description | Type |
|---|---|---|
status | Indicates the current status of the campaign. For example, Active | string |
message | Success confirmation message. For example, Campaign Started | string |
totalCallsCompleted | Number of completed calls at the time of starting the campaign. | number |
updatedAt | ISO timestamp when the campaign was activated. | string |
campaignInstanceId | ID of the specific campaign instance that was started. | string |